Portal search suggestions mouse/keyboard highlight behaviour is jumpy
Closed, ResolvedPublic5 Story Points

Description

On the www.wikipedia.org portal, the behaviour of the search suggestions box is different than that of the suggestions boxes elsewhere.

If a user begins to type something into the search box, and then highlights an option with the mouse (either after pressing up/down to go through options or not), and then presses up/down on the keyboard, the highlight does not move to above/below the highlighted option. Instead, it ignores all highlight changes done by the mouse.

So, for example, if a user were to highlight the third listed page, and press up on their keyboard, the selection would move to the last listing, instead of the second listing.

Note: I've verified this bug exists on the wikipedia.org portal, but a similar behavior is noticable on the en.wikipedia.org search box as well - the mouse curser moves immediately to the front of the text in the search box then jumps to the end of the text in the search box. Not a very elegant solution, but it does seem to work better and is more intuitive to the user.

Restricted Application added a project: Discovery. · View Herald TranscriptMar 30 2016, 7:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt renamed this task from Portal search suggestions mouse/keyboard highlight behaviour is unintuitive to Portal search suggestions mouse/keyboard highlight behaviour is jumpy.Mar 31 2016, 7:52 PM
debt triaged this task as Low priority.
debt added a project: Discovery-Portal-Sprint.
debt updated the task description. (Show Details)
debt added subscribers: Jdrewniak, MSyed.

@Yair_rand good catch. The keyboard behaviour on the search suggestions is indeed strange. I'm attaching a video of this issue to illustrate.

debt moved this task from Needs triage to UX on the Discovery board.Apr 7 2016, 3:42 PM

Just adding a note: Like @Yair_rand says, the 'active' index isn't updated when mousing over the suggestions. It is also not reset when new suggestions appear. So when you type a query, keyboard down to the #3 suggestion, then type a new query and keyboard down, the 'active' suggestion continues from #3 instead of #1.

Jdrewniak set the point value for this task to 5.Apr 12 2016, 6:52 PM

Change 284203 had a related patch set uploaded (by Jdrewniak):
Improving typeahead search suggestions: - fixing keyboard behaviour when selecting search suggestions. - Fixing occasionally duplicated descriptions on search suggestions.

https://gerrit.wikimedia.org/r/284203

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 3:17 PM

Change 284203 merged by jenkins-bot:
Improving typeahead search suggestions: - fixing keyboard behaviour when selecting search suggestions. - Fixing occasionally duplicated descriptions on search suggestions.

https://gerrit.wikimedia.org/r/284203

debt closed this task as Resolved.May 5 2016, 5:13 PM
debt added a subscriber: debt.

This was released to production on May 3, 2016

debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.May 5 2016, 5:22 PM